Uploaded image for project: 'JDK'
  1. JDK
  2. JDK-8260428 Drop support for pre JDK 1.4 DatagramSocketImpl implementations
  3. JDK-8275327

Release Note: Removal of Support for Pre JDK 1.4 DatagramSocketImpl Implementations

    XMLWordPrintable

    Details

    • Subcomponent:
    • Verification:
      Verified

      Description

      Support for pre JDK 1.4 `DatagramSocketImpl` implementations (DatagramSocketImpl implementations that don't support connected datagram sockets, peeking, or joining multicast groups on specific network interface) has been dropped in this release. Old implementations have not have been buildable since JDK 1.4 but implementations compiled with JDK 1.3 or older continued to be usable up to this release.

      Trying to call `connect` or `disconnect` on a `DatagramSocket` or `MulticastSocket` that uses an old implementation will now throw `SocketException` or `UncheckedIOException`. Trying to call `joinGroup` or `leaveGroup` will result in an `AbstractMethodError`.

        Attachments

          Activity

            People

            Assignee:
            pconcannon Patrick Concannon (Inactive)
            Reporter:
            pconcannon Patrick Concannon (Inactive)
            Votes:
            0 Vote for this issue
            Watchers:
            2 Start watching this issue

              Dates

              Created:
              Updated:
              Resolved: